#include <bits/stdc++.h>
using namespace std;

typedef long long ll;
typedef pair<int,int> pii;
typedef vector<int> vi;

// vi sort(vi &A) {
//     int n = A.size();
//     vector<int> cnt(25 + 1, 0);
//     for (int x : A) cnt[x]++;
//     for (int i = 1; i <= 25; ++i) cnt[i] += cnt[i - 1];
//     vi ans(n);
//     for (int i = n - 1; i >= 0; --i) {
//         ans[--cnt[A[i]]] = i;
//     }
//     return ans;
// }

vi solve(vi A) {
    int n = A.size();
    vector<pii> p(n);
    for (int i =0 ; i < n; ++i) p[i] = {A[i], i};
    sort(p.begin(), p.end());
    if (n % 2 == 1) {
        for (int i = 0; i < n; i += 2)
            A[i / 2] = p[i].second;
        for (int i = 1; i < n; i += 2)
            A[(n + i) / 2] = p[i].second;
        return A;
    } else {
        for (int i = 1; i < n; i += 2)
            A[i / 2] = p[i].second;
        for (int i = 0; i < n; i += 2)
            A[(i + n) / 2] = p[i].second;
        return A;
    }
}